org.apache.myfaces.trinidad.context

## Class ComponentContextChange

- java.lang.Object
- - org.apache.myfaces.trinidad.context.ComponentContextChange

-     public abstract class ComponentContextChange
      extends Object

  Class that represents a change that is tied to a component in the component tree. This class is used by `ComponentContextManager` to be able to suspend and resume the context of a component during an invoke on component or visit tree call.

  Note that implementing classes are encouraged to override the to string function to describe the change. This enhances the ability to debug should the stack ever become out of sync.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentContextChange()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `resume(javax.faces.context.FacesContext facesContext)` Resumes the suspended context of a component.
    `abstract void` | `suspend(javax.faces.context.FacesContext facesContext)` Suspends any changes that the component has made so that an invoke on component or visit tree call may be made without the context of the component interfering.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentContextChange

          public ComponentContextChange()

  - ### Method Detail

    - #### suspend

          public abstract void suspend(javax.faces.context.FacesContext facesContext)

      Suspends any changes that the component has made so that an invoke on component or visit tree call may be made without the context of the component interfering.
      Parameters:
        `facesContext` - The faces context

    - #### resume

          public abstract void resume(javax.faces.context.FacesContext facesContext)

      Resumes the suspended context of a component.
      Parameters:
        `facesContext` - The faces context

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.